#encoding
module RailsAdmin
  module Config
    module Actions
        class RefundFood < RailsAdmin::Config::Actions::Base
            register_instance_option :visible?  do
                unless bindings[:object].blank?
                    authorized? && bindings[:object].status == 1
                else
                    authorized?
                end
            end

            register_instance_option :member do
                true
            end

            register_instance_option :link_icon do
                'icon-plane'
            end

            register_instance_option :pjax? do
                false
            end

            register_instance_option :controller do
                Proc.new do
                    require 'rest-client'
                    rd = EmployStaticFood.where("id = ? and status = ? ",@object.id,1).first
                    n = "退餐成功"
                    if !rd.blank?
                        n = "已退餐成功"
                        url = "#{CONFIG_FILE["xj_host"]}/base/rails-unsubcribe-by-id?id=#{@object.id}"
                        begin
                            ret = RestClient.get url, {} #per_page: 5
                        rescue Exception => e
                            n = "退餐失败！"
                        end
                    end
                    redirect_to :back, notice: "#{n}"
                end
            end
        end
    end
  end
end